## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iLoaderStatus Struct Reference
[Loading & Saving support, Loading & Saving support]

An object to query about the status of the threaded loader. More...

`#include <imap/loader.h>`

Inheritance diagram for iLoaderStatus:

[legend]
List of all members.

## Public Member Functions

virtual bool | IsError ()=0
| Check if there was an error during loading.
virtual bool | IsReady ()=0
| Check if the loader is ready.

## Detailed Description

An object to query about the status of the threaded loader.

Definition at line 56 of file loader.h.

## Member Function Documentation

virtual bool iLoaderStatus::IsError | ( |  | ) | `[pure virtual]`

| Check if there was an error during loading.

virtual bool iLoaderStatus::IsReady | ( |  | ) | `[pure virtual]`

| Check if the loader is ready.

The documentation for this struct was generated from the following file:

- imap/loader.h